%plotstock_mat
% A function with similar outcomes to plotFTSE, but this time it starts
% from data already saved in a .mat file. This is a really good idea if the
% initial 'getting data into MATLAB' or processing stage was time
% consuming. Saving .mat files should become part of any data analysis
% pipeline.
%
% 
%
% LAST UPDATED by Andy French April 2016

function plotstock_mat

%Find stock market .mat file 
[filename, pathname] = uigetfile( '*.mat',...
    'Select location of stock market data .mat file...', ...
    'MultiSelect', 'off');
if filename == 0
    return
end

%Load .mat file
load( [pathname,filename] );

%Plot adjusted close value vs time
figure('color',[1 1 1],'name',filename)
plot(t,adjusted_close_value);
xlim([0,max(t)])
xlabel([ 'Years since ',date_str{N} ],'fontsize',fsize);
ylabel('Adjusted closing value','fontsize',fsize)
title([strrep(filename,'.xls',''),' index values from ',...
    date_str{N},' to ',date_str{1}],'fontsize',fsize)
set(gca,'fontsize',fsize)
grid on;

%Save a .png file of the graph
print( gcf, strrep([pathname,filename],'.xls','.png'), '-dpng','-r300' );

%End of code