%timestable2excel
% Function which creates a multiplication table and outputs this as an
% Excel spreadsheet.
%
% LAST UPDATED by Andy French April 2016

function timestable2excel

%Display message to command window
disp(' ')
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%' )
disp('  Save a multiplication table to Excel ' )
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%' )
disp(' ')
disp(' Specify largest number to multiply (default is 20)')
N = input(' > N = ');
if isempty(N)
    N = 20;
    disp(' N = 20')
end

%Generate multiplication table as a matrix M
M = ones(N,N);
for row = 1:N
    for col = 1:N
        M( row,col ) = row*col;
    end
end

%Construct cell array E, which will be written to the Excel file. Note
%we could do this quicker by just writing the matrix directly, but the
%purpose of this program is to show how a generic Excel sheet could be
%constructed - so we'll do it the slow but clear way!

%Set the file header (i.e. the title)
E{1,1} = [num2str(N),' x ',num2str(N),' MULTIPLICATION TABLE' ];

%Set the numbers to be multiplied 
for row = 1:N
    E{3+row,1} = row;
end
for col = 1:N
    E{3,1+col} = col;
end

%Set the actual elements of the multiplication table
for row = 1:N
    for col = 1:N
        E{ 3 + row, 1 + col } = M( row,col );
    end
end 

%Save Excel sheet
xlswrite( ['xtable ',num2str(N),'x',num2str(N),'.xls' ], E );

%End of code